Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
DirectoryReader.h File Reference
`#include "IndexReader.h"`
`#include "TermEnum.h"`
`#include "TermPositions.h"`
`#include "IndexCommit.h"`
`#include "SegmentMergeQueue.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::DirectoryReader
| An IndexReader which reads indexes with multiple segments. More...
class | Lucene::MultiTermEnum
class | Lucene::MultiTermDocs
class | Lucene::MultiTermPositions
class | Lucene::ReaderCommit

## Namespaces

namespace | Lucene

clucene.sourceforge.net